Bug 24484 - Add explanatory text to batch patron deletion
Summary: Add explanatory text to batch patron deletion
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Tools (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: David Roberts
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-22 15:03 UTC by Andrew Fuerste-Henry
Modified: 2020-02-10 21:30 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.03, 19.05.08, 18.11.14


Attachments
Bug 24484 - Add explanatory text to batch patron deletion (1.44 KB, patch)
2020-01-23 11:05 UTC, David Roberts
Details | Diff | Splinter Review
Bug 24484 - Add explanatory text to batch patron deletion (1.73 KB, patch)
2020-01-23 12:25 UTC, David Roberts
Details | Diff | Splinter Review
Bug 24484 - Add explanatory text to batch patron deletion (1.79 KB, patch)
2020-01-23 12:32 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 24484: Add explanatory text to batch patron deletion (1.85 KB, patch)
2020-01-25 18:34 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-01-22 15:03:56 UTC
On the first page of the batch patron deletion tool, it'd be helpful to have text explaining which types of patrons will be skipped in the deletion. Right now, there is a brief bit of descriptive text that reads:
"This tool allows you to delete patrons and anonymize checkout history. For deleting patrons, any combination of limits can be used."

I'd like that amended to:
"This tool allows you to delete patrons and anonymize checkout history. For deleting patrons, any combination of limits can be used. Patrons will not be deleted if they meet one of more of the following conditions:
- They have items currently checked out.
- They have a non-zero account balance.
- They are the guarantor to another patron.
- They in a patron category of type Staff."
Comment 1 Andrew Fuerste-Henry 2020-01-22 15:48:47 UTC
Missed a word in my last bullet:
"They sre in a patron category of type Staff."
Comment 2 David Roberts 2020-01-23 11:05:00 UTC
Created attachment 97795 [details] [review]
Bug 24484 - Add explanatory text to batch patron deletion
Comment 3 David Roberts 2020-01-23 11:05:25 UTC
To test:

1) Open up the Batch patron deletion and anonymisation tool
2) Check the help text near the top of the screen
3) Install the patch and repeat steps 1 and 2
4) Check the help text has changed to the new version
Comment 4 Katrin Fischer 2020-01-23 11:16:00 UTC
Hi David,

thx for the patch! Please include the test plan in your commit message and also a small sentence as to what is changed here (see 

Noticed something to fix too:
+<p> - They are in a patron category of type Staff..</p>

should be: staff.

Instead of paragraphs a bullet list might work nicer here too semantically. Then you don't need to hardcode the "- " which might be missed in translation.
Comment 5 Katrin Fischer 2020-01-23 11:17:41 UTC
Forgot the link: https://wiki.koha-community.org/wiki/Commit_messages
Comment 6 Martin Renvoize 2020-01-23 11:23:27 UTC
To explain that last bit...

You have

<p> - Stuff </p>
<p> - Stuff </p>
. . .

<p> = Paragraph.. so it works mostly.. but semantically we're actually talking about a list so...

So... 

<ul>
  <li> Stuff </li>
  <li> Stuff </li>
</ul>

This is cleaner as it's semantically describing the content more accurately.. <ul> = Unordered list, <li> = List item.

:)
Comment 7 David Roberts 2020-01-23 11:35:48 UTC
I'm having problems adding patches with git bz attach -e - it only works without the -e at the moment, which means I can't put the test plan in the right place! Bear with me....
Comment 8 Katrin Fischer 2020-01-23 11:50:01 UTC
(In reply to David Roberts from comment #7)
> I'm having problems adding patches with git bz attach -e - it only works
> without the -e at the moment, which means I can't put the test plan in the
> right place! Bear with me....

Hi David, you can do it like this (the -e won't help possibly):

git commit --amend

This will bring up the commit message of the last patch on your branch and you can edit/add to it.

Then you can do a:

git bz attach 24484 HEAD

And then you can obsolete the old patch here using bugzilla: Klick on details > edit details > obsolete checkbox.

The -e allows you to obsolete patches and change status but afaik it won't change the patch you upload.
Comment 9 David Roberts 2020-01-23 12:05:37 UTC
Thank you - now I understand! :-)
Comment 10 David Roberts 2020-01-23 12:25:25 UTC
Created attachment 97812 [details] [review]
Bug 24484 - Add explanatory text to batch patron deletion

This patch adds a more detailed explanation about what the tool can do.

To test:

1) Open up the Batch patron deletion and anonymisation tool
2) Check the help text near the top of the screen
3) Install the patch and repeat steps 1 and 2
4) Check the help text has changed to the new version
Comment 11 David Roberts 2020-01-23 12:26:35 UTC
Hopefully this is better now! :-)
Comment 12 ByWater Sandboxes 2020-01-23 12:32:28 UTC
Created attachment 97813 [details] [review]
Bug 24484 - Add explanatory text to batch patron deletion

This patch adds a more detailed explanation about what the tool can do.

To test:

1) Open up the Batch patron deletion and anonymisation tool
2) Check the help text near the top of the screen
3) Install the patch and repeat steps 1 and 2
4) Check the help text has changed to the new version

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 13 Andrew Fuerste-Henry 2020-01-23 12:33:09 UTC
Thanks for jumping right on this, David!
Comment 14 Katrin Fischer 2020-01-25 18:34:34 UTC
Created attachment 97943 [details] [review]
Bug 24484: Add explanatory text to batch patron deletion

This patch adds a more detailed explanation about what the tool can do.

To test:

1) Open up the Batch patron deletion and anonymisation tool
2) Check the help text near the top of the screen
3) Install the patch and repeat steps 1 and 2
4) Check the help text has changed to the new version

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 15 Martin Renvoize 2020-01-27 10:17:23 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 16 Joy Nelson 2020-01-31 00:48:31 UTC
Pushed to 19.11.x branch for 19.11.03
Comment 17 Lucas Gass 2020-02-06 17:26:47 UTC
backported to 19.05.x for 19.05.08
Comment 18 Hayley Mapley 2020-02-10 21:30:22 UTC
Backported to 18.11.x for 18.11.14.